### File

`packages/eui-mobile/packages/core/src/lib/components/euim-card/euim-card.component.ts`

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : euimSizeM euimSizeS euimSizeL
selector | `euim-card`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-card.component.html`

### Index

###### Properties
Public baseStatesDirective cardImageDirective imageWidth
###### Methods
getCssClasses
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`
Parameters :
Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

cardImageDirective
Type : `EuimCardImageDirective`
Decorators : `@ContentChild(EuimCardImageDirective)`

imageWidth
Type : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""